Package org.flywaydb.core.api.output

## Class MigrateResult

- java.lang.Object
- - org.flywaydb.core.api.output.OperationResultBase
  - - org.flywaydb.core.api.output.MigrateResult

- All Implemented Interfaces:
    `OperationResult`
  Direct Known Subclasses:
    `MigrateErrorResult`

      public class MigrateResult
      extends OperationResultBase

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `initialSchemaVersion` |
    `java.util.List<MigrateOutput>` | `migrations` |
    `int` | `migrationsExecuted` |
    `java.lang.String` | `schemaName` |
    `boolean` | `success` |
    `java.lang.String` | `targetSchemaVersion` |

    - ### Fields inherited from class org.flywaydb.core.api.output.OperationResultBase

      `database, flywayVersion, operation, warnings`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MigrateResult​(java.lang.String flywayVersion, java.lang.String database, java.lang.String schemaName)` |

  - ### Method Summary

    - ### Methods inherited from class org.flywaydb.core.api.output.OperationResultBase

      `addWarning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### initialSchemaVersion

          public java.lang.String initialSchemaVersion

    - #### targetSchemaVersion

          public java.lang.String targetSchemaVersion

    - #### schemaName

          public java.lang.String schemaName

    - #### migrations

          public java.util.List<MigrateOutput> migrations

    - #### migrationsExecuted

          public int migrationsExecuted

    - #### success

          public boolean success

  - ### Constructor Detail

    - #### MigrateResult

          public MigrateResult​(java.lang.String flywayVersion,
                               java.lang.String database,
                               java.lang.String schemaName)